function keybindings()
	if love.keyboard.isDown("up") then centerY = centerY + 5 end
	if love.keyboard.isDown("down") then centerY = centerY - 5 end
	if love.keyboard.isDown("left") then centerX = centerX + 5 end
	if love.keyboard.isDown("right") then centerX = centerX - 5 end
	if love.keyboard.isDown("kp+") then zoomFactor = zoomFactor - 0.04 end
	if love.keyboard.isDown("kp-") then zoomFactor = zoomFactor + 0.04 end
	if love.keyboard.isDown("c") then
		centerX = screenWidth/2
		centerY = screenHeight/2
	end
	if love.keyboard.isDown("m") then basicDiameter = basicDiameter + 0.5 end
	if love.keyboard.isDown("n") then basicDiameter = basicDiameter - 0.5 end
	if love.keyboard.isDown("x") then zoomFactor = 3 end
	if love.keyboard.isDown("s") then unpausedSpeed = unpausedSpeed + 0.1 end
	if love.keyboard.isDown("a") then unpausedSpeed = unpausedSpeed - 0.1 end
	
	if love.keyboard.isDown("z") then
		zoomFactor = 3
		centerX = 190/2 + screenWidth/2
		centerY = screenHeight/2
		basicDiameter = 1
		unpausedSpeed = 5
	end
	
	if zoomFactor < 0.2 then zoomFactor = 0.2 end
	if zoomFactor > 33 then zoomFactor = 33 end
	if basicDiameter < 1 then basicDiameter = 1 end
	if basicDiameter > 10 then basicDiameter = 10 end
	if unpausedSpeed < 0 then unpausedSpeed = 0 end
	if unpausedSpeed > 25 then unpausedSpeed = 25 end
end


function love.keypressed(key, unicode)
	if key == " " then paused = not(paused) end
	if key == "w" then
		if drawMode == "line" then drawMode = "fill" else drawMode = "line" end
	end
	if key == "o" then 
		orbitsAlpha = orbitsAlpha + 25
		
		if orbitsAlpha > 255 then orbitsAlpha = 0 end
	end
	
	if key == "escape" then
		if showHelpPanel == true then
			showHelpPanel = false
		else
			love.event.push("quit")
		end
	end
	
	if key == "f1" then
		setScreen(1024, 768)
	end
	if key == "f2" then
		setScreen(1280, 768)
	end
	if key == "f3" then
		setScreen(1280, 960)
	end
	if key == "f4" then
		setScreen(1920, 1080)
	end
	
	if key == "f9" then showStellarPanel = not(showStellarPanel) end
	if key == "f10" then showHelpPanel = not(showHelpPanel) end
	
	if key == "f" then
		love.graphics.toggleFullscreen()
	end
	if key == "b" then
		backgroundType = backgroundType + 1
		if backgroundType > 2 then backgroundType = 0 end
	end
	
	if unicode >= 49 and unicode <= 57 then 
		local selectedPlanet = math.floor(unicode - 48)
		print (planet[names[selectedPlanet]].n)
	end
end
