function drawBackground()
	local scaleX, scaleY = screenWidth/1024, screenHeight/768
	scrollTime = scrollTime - love.timer.getDelta()
	if scrollTime > 2*3.1415 then scrolltime = 0 end
	love.graphics.setColor(255,255,255,255)
	
	love.graphics.draw(background, screenWidth/2, screenHeight/2, scrollTime/400, scaleX, scaleY, 512, 384)
	
end

function createNewStars()
	for i = 1, 0x400 do
   
      stars[i] = {}
      
      stars[i].x, stars[i].y, stars[i].n =
      
         math.random(0, love.graphics.getWidth()),
         math.random(0, love.graphics.getHeight()),
         math.random(0, 0xff)
   end
end

function drawRealtimeStars()
	for k, _ in ipairs(stars) do
   
      love.graphics.setColor(stars[k].n, stars[k].n, stars[k].n)
      love.graphics.point(stars[k].x, stars[k].y)
   end
end
