__VER = 0.91

basicRadius = 10
basicDiameter = 1

pi = 3.14157

screenWidth = 1024
screenHeight = 768

centerX = 190/2 + screenWidth/2
centerY = screenHeight/2

paused = false

zoomFactor = 3
rotationSpeed = 5
drawMode = "fill"
orbitsAlpha = 85
showStellarPanel = true
showHelpPanel = true

logo = love.graphics.newImage("logo.png")

backgroundType = 1
background = love.graphics.newImage("background.png")
scrollTime = 0
stars = {}
doStars = true

math.randomseed(os.time())

mercuryAngle = math.random(1, 359) -- 87.9 days
venusAngle = math.random(1, 359)
earthAngle = math.random(1, 359)
marsAngle = math.random(1, 359)
jupiterAngle = math.random(1, 359)
saturnAngle = math.random(1, 359)
uranusAngle = math.random(1, 359)
neptuneAngle = math.random(1, 359)
plutoAngle = math.random(1, 359)

planet = {}
names = {}

names[1] = "mercury"
names[2] = "venus"
names[3] = "earth"
names[4] = "mars"
names[5] = "jupiter"
names[6] = "saturn"
names[7] = "uranus"
names[8] = "neptune"
names[9] = "pluto"

planet["mercury"] = {}
planet["venus"] = {}
planet["earth"] = {}
planet["mars"] = {}
planet["jupiter"] = {}
planet["saturn"] = {}
planet["uranus"] = {}
planet["neptune"] = {}
planet["pluto"] = {}

-- Names (useful for translations instead of using the index name)
planet["mercury"].n = "Mercury"
planet["venus"].n = "Venus"
planet["earth"].n = "Eart"
planet["mars"].n = "Mars"
planet["jupiter"].n = "Jupiter"
planet["saturn"].n = "Saturn"
planet["uranus"].n = "Uranus"
planet["neptune"].n = "Neptune"
planet["pluto"].n = "Pluto"

-- Colors
planet["mercury"].c = {100,100,100,255}
planet["venus"].c = {150,150,100,255}
planet["earth"].c = {100,175,255,255}
planet["mars"].c = {200,100,100,255}
planet["jupiter"].c = {200,175,150,255}
planet["saturn"].c = {200,200,150,255}
planet["uranus"].c = {175,200,250,255}
planet["neptune"].c = {25,25,255,255}
planet["pluto"].c = {200,200,200,255}

-- Years passed
planet["mercury"].yo = 0
planet["venus"].yo = 0
planet["earth"].yo = 0
planet["mars"].yo = 0
planet["jupiter"].yo = 0
planet["saturn"].yo = 0
planet["uranus"].yo = 0
planet["neptune"].yo = 0
planet["pluto"].yo = 0

unpausedSpeed = rotationSpeed
